# [TSM.ID].[11031972] -- All Rights Reserved. Proprietary & Confidential.
[package]
name = "xcu-wasm-sdk"
version = "0.1.0"
edition = "2021"
description = "XCU WebAssembly Native SDK"

[package.metadata.wasm-pack.profile.release]
wasm-opt = false

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
# xcu-quic = { path = "../xcu-quic" }
wasm-bindgen = "0.2.89"
wasm-bindgen-futures = "0.4.39"
js-sys = "0.3.66"
web-sys = { version = "0.3.66", features = ["Window", "Navigator", "MediaDevices", "WebTransport", "WebTransportBidirectionalStream", "WebTransportDatagramDuplexStream", "WebTransportReceiveStream", "console", "Document", "Element", "HtmlVideoElement", "MediaRecorder", "Blob", "Event", "MediaStream"] }
xcu-crypto = { path = "../xcu-crypto", default-features = false }
getrandom = { version = "0.2", features = ["js"] }
base64 = "0.22"
